Create a monitoring credential
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/actions/setMonitoringCredential
Creates a named credential as monitoring for the target type or target instance and set name provided in the payload.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectSchema object to hold Monitoring Credential data required in the setMonitoringCredential action.
Show Source
-
authenticationTargetType: string
The authenticating target type. Defaults to targetTypeNameExample:
host -
isAuthenticationRequired: boolean
true if authentication is required before saving credentialExample:
false -
targetNames: array
targetNames
the targets list, if needed to set for multiple targets
Match All
Schema object to hold Monitoring Credential data required in the setMonitoringCredential action.
Show Source
-
object
allOf
MonitoringCredentialCommon
Input for creating a Monitoring Credential
Nested Schema : targetNames
Type:
arraythe targets list, if needed to set for multiple targets
Show Source
-
Array of:
string
Example:
com.my.host1, com.my.host2
Nested Schema : MonitoringCredentialCommon
Type:
objectInput for creating a Monitoring Credential
Show Source
-
attributes(required): object
attributes
Additional Properties Allowed: additionalPropertiesRepresents a map of name-value for the attributes for the monitoring credential
-
credentialType(required): string
credential typeExample:
HostSSHCreds
Match All
Input for creating a Monitoring Credential
Show Source
-
object
TargetAndSetCommon
Input for creating a Monitoring Credential
Nested Schema : TargetAndSetCommon
Type:
objectInput for creating a Monitoring Credential
Show Source
-
setName(required): string
credential set nameExample:
CREDSET1 -
targetGuid: string
Target instance id of a preferred credential.Example:
A3CDDE587FD221E2F3539013290B7F05 -
targetName: string
target name of monitoring credentialExample:
www.myhost.com -
targetTypeName: string
name of the target type of the monitoring credentialExample:
oracle_database
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Monitoring credential created successfully
Root Schema : MonitoringCredential
Type:
objectA credential is used to describe which credential set and attributes is used to access a target.
Show Source
-
attributes: array
attributes
Additional Properties Allowed: additionalPropertiesthe attributes of the credential
-
authenticatingTargetType: string
the authenticating target type of the set
-
credentialType: string
the credential type
-
monitoringCredentialSetName: string
the name of the credential set
Nested Schema : attributes
Type:
arrayAdditional Properties Allowed
Show Source
the attributes of the credential
Show Source
-
Array of:
object NameValuePair
A pair of name and value.
Example:
[
{
"name":"UserName",
"value":"MyUserName"
},
{
"name":"Password",
"value":"MyPassword"
}
]Nested Schema : NameValuePair
Type:
objectA pair of name and value.
Show Source
-
name: string
the name
-
value: string
the value
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
409 Response
Duplicate Resource
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message